Results 1 to 9 of 9

Thread: db error after upgrading to 2.1.0

  1. #1
    Join Date
    Apr 2004
    Posts
    18

    Default db error after upgrading to 2.1.0

    I'm getting this error from only 2 of my users, who cannot view CMPS after upgrading to 2.1.0.

    It's strange, only 2 users. I had one logout and she was able to view the portal, and when she logged in, she got the error again.

    I've checked and made sure both news.php and latesttopics.php are new 2.1.0 files.

    Code:
    Database error in vBulletin 3.5.3:
    
    Invalid SQL:
    
                                    SELECT 
                                    thread.threadid, post.title, thread.replycount, postusername, postuserid,
    thread.dateline AS postdateline, thread.lastposter, thread.lastpost,
    IF(views<=thread.replycount, thread.replycount+1, views) AS views,
    thread.forumid, post.postid, pagetext, allowsmilie
                                    
                                    ,thread.iconid AS threadiconid, iconpath AS threadiconpath
                                    
                                    , NOT ISNULL(subscribethread.subscribethreadid) AS subscribed 
                                    FROM thread AS thread
                                    LEFT JOIN post AS post ON (post.postid = thread.firstpostid)
    
                                    LEFT JOIN post_parsed AS post_parsed ON (post_parsed.postid = post.postid AND
    post_parsed.styleid_code = -1 AND post_parsed.styleid_html = -1 AND
    post_parsed.styleid_php = -1 AND post_parsed.styleid_quote = -1)
    
                                    LEFT JOIN icon AS icon ON (icon.iconid = thread.iconid)
                                    
                                    
                                    
                                     LEFT JOIN subscribethread AS subscribethread ON (subscribethread.threadid =
    thread.threadid AND subscribethread.userid = '2468')
                                    WHERE thread.threadid IN(52052,51883,51628,51300,51011)
                                    AND thread.postuserid NOT IN(,)
                                    
                                    GROUP BY post.postid
                                    ORDER BY thread.dateline DESC
                                    LIMIT 5;
    
    MySQL Error  : You have an error in your SQL syntax; check the manual that
    corresponds to your MySQL server version for the right syntax to use near ')
                                    
                                    GROUP BY post.postid
                                    ORDER BY thread.dateline DESC
                                    LIMIT 5' at line 18
    Error Number : 1064
    Date         : Monday, January 30th 2006 @ 07:36:23 PM

  2. #2
    Join Date
    Apr 2004
    Posts
    18

    Default Re: db error after upgrading to 2.1.0

    I'm also getting this from the 2 users.

    Code:
    Database error in vBulletin 3.5.3:
    
    Invalid SQL:
    
                            SELECT thread.pollid, open, threadid, replycount, forumid, question,
    poll.dateline, options, votes, active, numberoptions, timeout, multiple, voters,
    public , voteoption
                            FROM poll AS poll
                            INNER JOIN thread AS thread USING (pollid)
                            LEFT JOIN pollvote AS pollvote ON (pollvote.pollid = poll.pollid AND
    pollvote.userid = 2468)
                            WHERE open <> 10 AND visible = 1 AND active = 1
                            AND thread.postuserid NOT IN(,)
                            
                            
                            AND thread.forumid NOT IN(105,73,62)
                            ORDER BY poll.dateline DESC;
    
    MySQL Error  : You have an error in your SQL syntax; check the manual that
    corresponds to your MySQL server version for the right syntax to use near ')
                            
                            
                            AND thread.forumid NOT IN(105,73,62)
                            ORDER BY poll.dateline DESC' at line 6
    Error Number : 1064
    Date         : Tuesday, January 31st 2006 @ 08:17:44 AM

  3. #3
    Join Date
    Jan 2004
    Location
    Georgia, USA
    Posts
    34,466

    Default Re: db error after upgrading to 2.1.0

    Do the users who are getting these errors have any members added to their ignore lists?

  4. #4
    Join Date
    Apr 2004
    Posts
    18

    Default Re: db error after upgrading to 2.1.0

    I'll ask... but I have someone in my ignore list and I'm not getting an error.

    I have one user who gets an error when trying to get into their ignore list.
    Code:
    Database error in vBulletin 3.5.3:
    
    Invalid SQL:
    
    			SELECT userid, username FROM user
    			WHERE userid IN (2515,3694,7746,1759,)
    			ORDER BY username;
    
    MySQL Error  : You have an error in your SQL syntax; check the manual 
    that corresponds to your MySQL server version for the right syntax to 
    use near ')
    			ORDER BY username' at line 2
    Error Number : 1064
    Date         : Thursday, February 2nd 2006 @ 06:42:47 AM

  5. #5
    Join Date
    Jan 2004
    Location
    Georgia, USA
    Posts
    34,466

    Default Re: db error after upgrading to 2.1.0

    The original problem looks like it has to do with a bad ingore list value, which is why I asked. For the error you've just posted, is that from the user cp? If so, it looks like there's a problem with vBulletin and your ignore lists, so you would need to ask for help at vbulletin.com.

  6. #6
    Join Date
    Apr 2004
    Posts
    18

    Default Re: db error after upgrading to 2.1.0


  7. #7
    Join Date
    Apr 2004
    Posts
    18

    Default Re: db error after upgrading to 2.1.0

    Brian... I got a fix to fix the error in profile.php but it still doesn't fix the issue with the CMPS

    Code:
    Database error in vBulletin 3.5.3:
    
    Invalid SQL:
    
                SELECT thread.pollid, open, threadid, replycount, forumid, question, poll.dateline, options, votes, active, numberoptions, timeout, multiple, voters, public , voteoption
                FROM poll AS poll
                INNER JOIN thread AS thread USING (pollid)
                LEFT JOIN pollvote AS pollvote ON (pollvote.pollid = poll.pollid AND pollvote.userid = 2468)
                WHERE open <> 10 AND visible = 1 AND active = 1
                AND thread.postuserid NOT IN(,)
                
                
                AND thread.forumid NOT IN(105,73,62)
                ORDER BY poll.dateline DESC;
    
    MySQL Error  : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')
                
                
                AND thread.forumid NOT IN(105,73,62)
                ORDER BY poll.dateline DESC' at line 6
    Error Number : 1064
    Date         : Monday, February 6th 2006 @ 12:20:41 PM
    vb fix is here... http://www.vbulletin.com/forum/bugs3...iew&bugid=2151
    Last edited by diettalk; 02-06-2006 at 01:27 PM.

  8. #8
    Join Date
    Apr 2004
    Posts
    18

    Default Re: db error after upgrading to 2.1.0

    hmm... I removed all users from their list and CMPS worked. I guess people will have to remove all users and then add them back in.

  9. #9
    Join Date
    Jan 2004
    Location
    Georgia, USA
    Posts
    34,466

    Default Re: db error after upgrading to 2.1.0

    It's hard to tell for sure since I'm not positive of the exact conditions to reproduce this error, but for anyone still haivng this problem, try looking in your includes/vba_cmps_include_bottom.php file for this code:
    PHP Code:
    $ignusers array_merge($ignusersexplode(' '$vbulletin->userinfo['ignorelist'])); 
    Replace with this:
    PHP Code:
    $ignusers array_merge($ignusersexplode(' 'trim($vbulletin->userinfo['ignorelist']))); 
    And see if that takes care of the problem.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Error after upgrading my vBulletin from 3.5.2 to 3.5.3
    By darkx in forum Troubleshooting & Problems
    Replies: 1
    Last Post: 01-09-2006, 05:43 PM
  2. Error after upgrading to vB 3.5.1..
    By iwit in forum Troubleshooting & Problems
    Replies: 1
    Last Post: 11-06-2005, 08:43 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •